## scilab-ann 0.4.2.3

=== DESCRIPTION ===
Toolbox: ANN_Toolbox

Title: ANN Toolbox 0.4.2.3

Summary: ANN Toolbox

Version: 0.4.2.3

Author: Ryurick M. Hristev

Maintainer: Allan Cornet <allan.cornet@scilab.org>
 Pierre Marechal <pierre.marechal@scilab.org>

Category: Category 2

Entity: none

WebSite: 

URL: http://atoms.scilab.org/toolboxes/ANN_Toolbox/0.4.2.3

License: GPL

ScilabVersion: >= 5.2

Depends: 

Date: 2009-08-06

Description: ANN Toolbox ver. 0.4.2.3 for Scilab 5.2
 =====================================
 
 This represents a toolbox for artificial neural networks,
 based on my developments described in "Matrix ANN" book,
 under development, if interested send me an email at
 r.hristev@phys.canterbury.ac.nz
 
 Current feature:s
  - Only layered feedforward networks are supported *directly* at the moment
    (for others use the "hooks" provided)
  - Unlimited number of layers
  - Unlimited number of neurons per each layer separately
  - User defined activation function (defaults to logistic)
  - User defined error function (defaults to SSE)
  - Algorithms implemented so far:
     * standard (vanilla) with or without bias, on-line or batch
     * momentum with or without bias, on-line or batch
     * SuperSAB with or without bias, on-line or batch
     * Conjugate gradients
     * Jacobian computation
     * Computation of result of multiplication between "vector" and Hessian
  - Some helper functions provided
 
 For full descriptions start with the toplevel "ANN" man page.

## scilab-ann 0.4.2.4

=== debian/changelog ===
scilab-ann (0.4.2.4-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1
  * Watch file updated
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2011 14:31:37 +0100

scilab-ann (0.4.2.3-3) unstable; urgency=low

  * Description improved (Closes: #560375)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Dec 2009 14:25:18 +0100

scilab-ann (0.4.2.3-2) unstable; urgency=low

  * Same as 0.4.2.3-1 due to a bug in dak

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Nov 2009 17:36:10 +0100

scilab-ann (0.4.2.3-1) unstable; urgency=low

  * Initial release (Closes: #556167)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 13 Nov 2009 22:30:22 +0100

=== debian/control ===
Source: scilab-ann
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, scilab (>= 5.1.1),
 scilab-doc (>= 5.3.0)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab-toolboxes/ann/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab-toolboxes/ann/trunk
Homepage: http://atoms.scilab.org/toolboxes/ANN_Toolbox/

Package: scilab-ann
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, scilab (>= 5.1.1)
Description: Scilab module for artificial neural networks
 This module implements artificial neural networks capabilities 
 into the Scilab language. 
 Current features are:
  * Only layered feedforward networks are supported *directly* at the moment
    (for others use the "hooks" provided)
  * Unlimited number of layers
  * Unlimited number of neurons per each layer separately
  * User defined activation function (defaults to logistic)
  * User defined error function (defaults to SSE)
  * Algorithms implemented so far:
    * standard (vanilla) with or without bias, on-line or batch
    * momentum with or without bias, on-line or batch
    * SuperSAB with or without bias, on-line or batch
    * Conjugate gradients
    * Jacobian computation
    * Computation of result of multiplication between "vector" and Hessian
  * Some helper functions provided

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 Sylvestre Ledru <sylvestre.ledru@inria.fr>

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

build/scilab-ann:: 
		SCI_DISABLE_TK=1 SCI_JAVA_ENABLE_HEADLESS=1 /usr/bin/scilab -nw -f builder.sce	

clean:: 
		rm -fr build-stamp help/*/scilab_*_help/ jar/

install/scilab-ann::
		mkdir -p $(CURDIR)/debian/scilab-ann/usr/share/scilab/contrib/
		cd $(CURDIR)/debian/scilab-ann/usr/share/scilab/contrib/; \
		rm -f scilab-ann; \
		ln -s ../../../lib/scilab-ann/ ann

get-orig-source:
	-uscan --upstream-version 0

=== debian/watch ===
version=3
http://forge.scilab.org/index.php/p/ann-toolbox/downloads/direct/ .*ANN_Toolbox-([0-9\.]+)-src.zip \
  debian debian/orig-tar.sh
